import { DOCUMENT } from '@angular/common';
import * as i0 from '@angular/core';
import { Injectable, Inject, NgModule } from '@angular/core';
import * as i1 from '@angular/platform-browser';
import * as i2 from '@angular/router';

class NgxAngularMetaService {
    constructor(_document, _title, _meta, _router) {
        this._document = _document;
        this._title = _title;
        this._meta = _meta;
        this._router = _router;
        this._baseUrl = this._document.baseURI;
    }
    update(title, description, img, twitterUserName, twitterCreatorName, author = this._baseUrl) {
        /* page title */
        this._title.setTitle(title);
        /* meta tags */
        this._meta.updateTag({ name: 'description', content: `${description.replace(/(<([^>]+)>)/gi, "").slice(0, 145)}...` });
        this._meta.updateTag({ name: 'author', content: author });
        /* open graph */
        this._meta.updateTag({ name: 'og:title', content: title });
        this._meta.updateTag({ name: 'og:description', content: `${description.replace(/(<([^>]+)>)/gi, "").slice(0, 145)}...` });
        this._meta.updateTag({ name: 'og:url', content: `${this._baseUrl}${this._router.url.slice(1)}` });
        this._meta.updateTag({ name: 'og:image', content: img || `${this._baseUrl}assets/social.jpg` });
        this._meta.updateTag({ name: 'image', property: 'og:image', content: img || `${this._baseUrl}assets/social.jpg` });
        /* twitter */
        this._meta.updateTag({ name: 'twitter:card', content: 'summary_large_image' });
        this._meta.updateTag({ name: 'twitter:site', content: twitterUserName || '' });
        this._meta.updateTag({ name: 'twitter:creator', content: twitterCreatorName || '' });
        this._meta.updateTag({ name: 'twitter:title', content: title });
        this._meta.updateTag({ name: 'twitter:description', content: `${description.replace(/(<([^>]+)>)/gi, "").slice(0, 145)}...` });
        this._meta.updateTag({ name: 'twitter:url', content: `${this._baseUrl}${this._router.url.slice(1)}` });
        this._meta.updateTag({ name: 'twitter:image', content: img || `${this._baseUrl}assets/social.jpg` });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.2", ngImport: i0, type: NgxAngularMetaService, deps: [{ token: DOCUMENT }, { token: i1.Title }, { token: i1.Meta }, { token: i2.Router }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.2", ngImport: i0, type: NgxAngularMetaService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.2", ngImport: i0, type: NgxAngularMetaService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: Document, decorators: [{
                    type: Inject,
                    args: [DOCUMENT]
                }] }, { type: i1.Title }, { type: i1.Meta }, { type: i2.Router }] });

class NgxAngularMetaServiceModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.2", ngImport: i0, type: NgxAngularMetaServiceModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.2", ngImport: i0, type: NgxAngularMetaServiceModule }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.2", ngImport: i0, type: NgxAngularMetaServiceModule, providers: [
            NgxAngularMetaService
        ] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.2", ngImport: i0, type: NgxAngularMetaServiceModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [],
                    providers: [
                        NgxAngularMetaService
                    ],
                    exports: []
                }]
        }] });

/*
 * Public API Surface of ngx-angular-meta-service
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxAngularMetaService, NgxAngularMetaServiceModule };
//# sourceMappingURL=ngx-angular-meta-service.mjs.map
